GRPC Core 0.10.0.0

- Main Page
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Data Fields
grpc_chttp2_stream_global Struct Reference

`#include <internal.h>`

## Data Fields
gpr_uint32 | id
| HTTP2 stream id for this stream, or zero if one has not been assigned. More...
grpc_iomgr_closure * | send_done_closure
grpc_iomgr_closure * | recv_done_closure
gpr_int64 | outgoing_window
| window available for us to send to peer More...
gpr_uint32 | max_recv_bytes
| The number of bytes the upper layers have offered to receive. More...
gpr_uint32 | unannounced_incoming_window
| The number of bytes the upper layer has offered to read but we have not yet announced to HTTP2 flow control. More...
gpr_uint32 | incoming_window
| The number of bytes of HTTP2 flow control we have advertised. More...
grpc_stream_op_buffer * | outgoing_sopb
| stream ops the transport user would like to send More...
grpc_chttp2_write_state | write_state
| when the application requests writes be closed, the write_closed is 'queued'; when the close is flow controlled into the send path, we are 'sending' it; when the write has been performed it is 'sent' More...
gpr_uint8 | read_closed
| is this stream closed (boolean) More...
gpr_uint8 | cancelled
| has this stream been cancelled? (boolean) More...
grpc_status_code | cancelled_status
gpr_uint8 | published_cancelled
| have we told the upper layer that this stream is cancelled? More...
gpr_uint8 | in_stream_map
| is this stream in the stream map? (boolean) More...
gpr_uint8 | writing_now
| is this stream actively being written? More...
grpc_stream_state | published_state
| stream state already published to the upper layer More...
grpc_stream_state * | publish_state
| address to publish next stream state to More...
grpc_stream_op_buffer * | publish_sopb
| pointer to sop buffer to fill in with new stream ops More...
grpc_stream_op_buffer | incoming_sopb
grpc_chttp2_incoming_metadata_buffer | incoming_metadata
| incoming metadata More...
grpc_chttp2_incoming_metadata_live_op_buffer | outstanding_metadata

## Field Documentation

gpr_uint8 grpc_chttp2_stream_global::cancelled

has this stream been cancelled? (boolean)

grpc_status_code grpc_chttp2_stream_global::cancelled_status

gpr_uint32 grpc_chttp2_stream_global::id

HTTP2 stream id for this stream, or zero if one has not been assigned.

gpr_uint8 grpc_chttp2_stream_global::in_stream_map

is this stream in the stream map? (boolean)

grpc_chttp2_incoming_metadata_buffer grpc_chttp2_stream_global::incoming_metadata

incoming metadata

grpc_stream_op_buffer grpc_chttp2_stream_global::incoming_sopb

gpr_uint32 grpc_chttp2_stream_global::incoming_window

The number of bytes of HTTP2 flow control we have advertised.

As we advertise incoming flow control window, this value increases. As bytes are read, this value decreases. Updated after parse.

gpr_uint32 grpc_chttp2_stream_global::max_recv_bytes

The number of bytes the upper layers have offered to receive.

As the upper layer offers more bytes, this value increases. As bytes are read, this value decreases.

grpc_stream_op_buffer* grpc_chttp2_stream_global::outgoing_sopb

stream ops the transport user would like to send

gpr_int64 grpc_chttp2_stream_global::outgoing_window

window available for us to send to peer

grpc_chttp2_incoming_metadata_live_op_buffer grpc_chttp2_stream_global::outstanding_metadata

grpc_stream_op_buffer* grpc_chttp2_stream_global::publish_sopb

pointer to sop buffer to fill in with new stream ops

grpc_stream_state* grpc_chttp2_stream_global::publish_state

address to publish next stream state to

gpr_uint8 grpc_chttp2_stream_global::published_cancelled

have we told the upper layer that this stream is cancelled?

grpc_stream_state grpc_chttp2_stream_global::published_state

stream state already published to the upper layer

gpr_uint8 grpc_chttp2_stream_global::read_closed

is this stream closed (boolean)

grpc_iomgr_closure* grpc_chttp2_stream_global::recv_done_closure

grpc_iomgr_closure* grpc_chttp2_stream_global::send_done_closure

gpr_uint32 grpc_chttp2_stream_global::unannounced_incoming_window

The number of bytes the upper layer has offered to read but we have not yet announced to HTTP2 flow control.

As the upper layers offer to read more bytes, this value increases. As we advertise incoming flow control window, this value decreases.

grpc_chttp2_write_state grpc_chttp2_stream_global::write_state

when the application requests writes be closed, the write_closed is 'queued'; when the close is flow controlled into the send path, we are 'sending' it; when the write has been performed it is 'sent'

gpr_uint8 grpc_chttp2_stream_global::writing_now

is this stream actively being written?

The documentation for this struct was generated from the following file:

- src/core/transport/chttp2/internal.h